<?php 
/**
 * SecurePIN API Demo
 * version 2.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
				
	session_name('securepinlight');
	session_start();

	//create service object
	$oStatus = new spService();	
	$oStatus -> setParameter('action', 'auth');
	$oStatus -> setParameter('auth', getPostVar('auth'));
	$oStatus -> setParameter('testmode', $_POST['testmode']);
	$oStatus -> setParameter('timeout', MCP__TIMEOUT);
		
	//call service function, handle errors
	if (!$oStatus -> request()) { $error = ''; } 
	else {
		$error = $oStatus -> getResult('error', 0);
		$errormessage = $oStatus -> getResult('errormessage');
	}	
		
	// handle return
	$return = array (
		'status' => $oStatus -> getResult('status'),
		'callstate' => $oStatus -> getResult('callstate'),
		'error' => $oStatus -> getResult('error'),
		'errormessage' => $oStatus -> getResult('errormessage'),
		'userparam' => $oStatus -> getResult('userparam'),
		'freeparam' => $oStatus -> getResult('freeparam'),
		'booking' => $oStatus -> getResult('booking'),
		'caller' => $oStatus -> getResult('caller')
	);

	//link to download page
	if ($return['callstate'] == '2') {
			
		print "<table width='300' style='border:1px solid #5a7411;'>
					<tr>
						<td>";
		print 				"SIE WERDEN WEITERGELEITET...";
		print 			"</td>
					</tr>
				</table>";

			sleep(1);
			$_SESSION['caller'] = $return['caller'];
			print '<SCRIPT language="JavaScript">window.location="./wait.php";</SCRIPT>'; 

			exit(0);
	}
	else {
		//print "<img src='./img/waiting.gif'><br />";
	}
	
	exit(0);
?>