<?php
/**
 * SecurePIN API Demo
 * version 2.0
 * 
 * author: Thorsten Kugler 
 * email: info@micropayment.de
 * supported 2009 by micropayment
 */

	require_once( 'config.php' );
	require_once( 'tools.php' );
				
	session_name('securepinlight');
	session_start();
	
	//create service object
	$oCall = new spService();	
	$oCall -> setParameter('action', 'testcall');
	$oCall -> setParameter('accesskey', MCP__ACCESSKEY);
	$oCall -> setParameter('number', $_GET['number']);
	$oCall -> setParameter('testmode', 1);
	$oCall -> setParameter('origin', 'LANDLINE');
	$oCall -> setParameter('caller', MCP__PHONE_NUMBER);
	$oCall -> setParameter('tan', $_GET['tan']);
	$oCall -> setParameter('durationpart', $_GET['secs']);

	if (!$oCall -> request()) { $error = ''; } 
	else {
		$error = $oCall -> getResult('error', 0);
		$errormessage = $oCall -> getResult('errormessage');
	}

	print " ...Testcall l&auml;uft... ". $errormessage;

?>

